NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Weld::WeldBeadPathBuilder Class Reference

Represents the path the bead shape will be swept along. More...

Inheritance diagram for NXOpen::Weld::WeldBeadPathBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  OffsetMethodType { OffsetMethodTypeInFace, OffsetMethodTypeCenterline }
 Settings to indicate the desired offset method. More...
 

Public Member Functions

bool CreateEndToStart ()
 Returns the indication if the sweep should be created from the edge location to the start location. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderEndPath ()
 Returns the location at which to end the sweep of the bead shape. More...
 
NXOpen::SplineGetSweepPath ()
 The portion of the preview curve that can be used to adjust the start or end limits. More...
 
NXOpen::ExpressionOffsetAlongNormal ()
 Returns the offset along normal
Created in NX7.5.0. More...
 
NXOpen::ExpressionOffsetInFace ()
 Returns the expression containing the distance to offset the path normal to the face. More...
 
NXOpen::Weld::WeldBeadPathBuilder::OffsetMethodType OffsetMethod ()
 Returns the desired path offset method. More...
 
NXOpen::SectionPathSection ()
 Returns the section defining the path. More...
 
bool ReverseOffsetDirection ()
 Returns the reverse the direction to offset the path section. More...
 
void SetCreateEndToStart (bool createEndToStart)
 Sets the indication if the sweep should be created from the edge location to the start location. More...
 
void SetOffsetMethod (NXOpen::Weld::WeldBeadPathBuilder::OffsetMethodType offsetMethod)
 Sets the desired path offset method. More...
 
void SetReverseOffsetDirection (bool reverseOffsetDirection)
 Sets the reverse the direction to offset the path section. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderStartPath ()
 Returns the location at which to start the sweep of the bead shape. More...
 
void UpdatePath (bool *pointFound, NXOpen::Point3d *evaluationPoint, NXOpen::Vector3d *pathTangent, NXOpen::Vector3d *faceNormalWithFin, NXOpen::Vector3d *faceNormalOppositeFin)
 Computes the preview path, and evaluation information for indicating desired face side of the preview path. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents the path the bead shape will be swept along.


To create a new instance of this class, use NXOpen::Weld::WeldBeadBuilder::NewPath

Created in NX7.5.0.

Member Enumeration Documentation

Settings to indicate the desired offset method.

Enumerator
OffsetMethodTypeInFace 

offset in selected primary faces

OffsetMethodTypeCenterline 

centerline of overlapping sheets

Member Function Documentation

bool NXOpen::Weld::WeldBeadPathBuilder::CreateEndToStart ( )

Returns the indication if the sweep should be created from the edge location to the start location.

True indicates the sweep will be created from the end to the start location of the path, false indicates the sweep will be from the start to the end location of the path. This option is only used if the path section is closed.
Created in NX7.5.0.

License requirements : None

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Weld::WeldBeadPathBuilder::EndPath ( )

Returns the location at which to end the sweep of the bead shape.


Created in NX7.5.0.

License requirements : None

NXOpen::Spline* NXOpen::Weld::WeldBeadPathBuilder::GetSweepPath ( )

The portion of the preview curve that can be used to adjust the start or end limits.

Returns
The sweep path curve used for setting limits.
Created in NX10.0.3.

License requirements : None
NXOpen::Expression* NXOpen::Weld::WeldBeadPathBuilder::OffsetAlongNormal ( )

Returns the offset along normal
Created in NX7.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Weld::WeldBeadPathBuilder::OffsetInFace ( )

Returns the expression containing the distance to offset the path normal to the face.


Created in NX7.5.0.

License requirements : None

NXOpen::Weld::WeldBeadPathBuilder::OffsetMethodType NXOpen::Weld::WeldBeadPathBuilder::OffsetMethod ( )

Returns the desired path offset method.


Created in NX7.5.0.

License requirements : None

NXOpen::Section* NXOpen::Weld::WeldBeadPathBuilder::PathSection ( )

Returns the section defining the path.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Weld::WeldBeadPathBuilder::ReverseOffsetDirection ( )

Returns the reverse the direction to offset the path section.

The update path method provides the information for the default directions.
Created in NX7.5.0.

License requirements : None

void NXOpen::Weld::WeldBeadPathBuilder::SetCreateEndToStart ( bool  createEndToStart)

Sets the indication if the sweep should be created from the edge location to the start location.

True indicates the sweep will be created from the end to the start location of the path, false indicates the sweep will be from the start to the end location of the path. This option is only used if the path section is closed.
Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
createEndToStartcreateendtostart
void NXOpen::Weld::WeldBeadPathBuilder::SetOffsetMethod ( NXOpen::Weld::WeldBeadPathBuilder::OffsetMethodType  offsetMethod)

Sets the desired path offset method.


Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
offsetMethodoffsetmethod
void NXOpen::Weld::WeldBeadPathBuilder::SetReverseOffsetDirection ( bool  reverseOffsetDirection)

Sets the reverse the direction to offset the path section.

The update path method provides the information for the default directions.
Created in NX7.5.0.

License requirements : ugweld ("UG WELD")

Parameters
reverseOffsetDirectionreverseoffsetdirection
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Weld::WeldBeadPathBuilder::StartPath ( )

Returns the location at which to start the sweep of the bead shape.


Created in NX7.5.0.

License requirements : None

void NXOpen::Weld::WeldBeadPathBuilder::UpdatePath ( bool *  pointFound,
NXOpen::Point3d evaluationPoint,
NXOpen::Vector3d pathTangent,
NXOpen::Vector3d faceNormalWithFin,
NXOpen::Vector3d faceNormalOppositeFin 
)

Computes the preview path, and evaluation information for indicating desired face side of the preview path.


Created in NX7.5.0.

License requirements : None

Parameters
pointFoundPoint and evaluation results are valid
evaluationPointPoint that reference vectors are computed at
pathTangentTangent to path at evaluationPoint
faceNormalWithFinNormal if path is in direction of parasolid fin
faceNormalOppositeFinNormal if path is opposite direction of parasolid fin.
virtual bool NXOpen::Weld::WeldBeadPathBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.